Update User

Updates a user with specified id with the provided
information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The id of the user to update

Body Params
schemas
array of strings | null
schemas
string | null

The users user name

string | null

External identity provider identifier. Stored as the SAML provider
user code on the Authenticx user.

name
object
emails
array of objects | null

A list of the users emails

emails
phoneNumbers
array of objects | null

A list of the users phone numbers, if any

phoneNumbers
string | null

The user's time zone in IANA form. If omitted from a full replacement,
Authenticx applies the default timezone because users without a
timezone cannot sign in.

boolean | null

Whether the user is active or not.

boolean | null

Set to true to simultaneously create a matching, linked agent-user.

urn:authenticx:params:scim:schemas:extension:agent:2.0:User
object

Authenticx-specific SCIM user extension for provisioning the linked
agent record that has no standard SCIM equivalent.

urn:ietf:params:scim:schemas:extension:enterprise:2.0:User
object

The standard scim enterprise user extension (rfc 7643 section 4.3).
Only "manager" is supported: it feeds the linked agent-user's manager,
so identity providers can use their native manager mapping instead of
the Authenticx-specific managerId.

urn:authenticx:params:scim:schemas:extension:hierarchy:2.0:User
object

Authenticx-specific SCIM user extension for assigning the user to
hierarchies. The client's AcxApi.Helpers.HierarchyManageMode decides which
one attribute is used: "hierarchyIds" or "hierarchyCodes". The REST user
endpoints use the same attributes and values.

roles
array of objects | null

The Authenticx role to assign to the user.

roles
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/scim+json